import ajax from "../utils/request.js";
import requestOrther from "../utils/requestOrther.js";

/**
 * 商品列表
 * @returns {AjaxPromise}
 */
export function goodsList(data) {
  return ajax({
    url: "/goods/list",
    method: "get",
    data,
  });
}

/**
 * 排队列表
 * @returns {AjaxPromise}
 */
export function orderList(data) {
  return ajax({
    url: "/orders/queue",
    method: "get",
    data,
  });
}

/**
 * 预约
 * @returns {AjaxPromise}
 */
export function apply(data) {
  return ajax({
    url: "/orders/add-app",
    method: "post",
    data,
  });
}
export function applyreal(data) {
  return ajax({
    url: "/orders/add-house",
    method: "post",
    data,
  });
}

/**
 * 取消预约
 * @returns {AjaxPromise}
 */
export function cancel(data) {
  return ajax({
    url: "/orders/cancel",
    method: "get",
    data,
  });
}

/**
 * 跳过
 * @returns {AjaxPromise}
 */
export function skip(data) {
  return ajax({
    url: "/orders/skip",
    method: "GET",
    data,
  });
}

/**
 * 下一个
 * @returns {AjaxPromise}
 */
export function nextone(data) {
  return ajax({
    url: "/orders/finish",
    method: "GET",
    data,
  });
}

/**
 * 预约时段
 * @returns {AjaxPromise}
 */
export function applyrang(data) {
  return ajax({
    url: "/time-segment/list",
    method: "GET",
    data,
  });
}

/**
 * 获取app用户名
 * @returns {AjaxPromise}
 */
export function getAPPUser(data, header) {
  return requestOrther({
    url: "/seeyon/thirdpartyController.do",
    method: "GET",
    header,
    data,
  });
}
/**
 * 获取apptoken
 * @returns {AjaxPromise}
 */
export function getAPPToken(urldata) {
  return requestOrther({
    url: "/seeyon/rest/token/" + urldata,
    method: "GET",
  });
}
/**
 * 获取app登录人员信息
 * @returns {AjaxPromise}
 */
export function getAPPUserDetail(data) {
  return requestOrther({
    url: "/seeyon/rest/orgMember",
    method: "GET",
    data
  });
}

/**
 * 获取当前打烊规则
 * @returns {AjaxPromise}
 */
export function getRule(data) {
  return ajax({
    url: "/stop-rule/list",
    method: "POST",
    data,
  });
}

/**
 * 更新当前打烊规则
 * @returns {AjaxPromise}
 */
export function upRule(data) {
  return ajax({
    url: "/stop-rule/edit",
    method: "POST",
    data,
  });
}
